# All files / src/stack-trace-analyzer/callee-data-extractors AbstractCalleeDataExtractor.ts

100% Statements 4/4
100% Branches 0/0
100% Functions 0/0
100% Lines 2/2

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    171x

    3729x

     import { injectable } from 'inversify';

    import * as ESTree from 'estree';

    import { ICalleeData } from '../../interfaces/stack-trace-analyzer/ICalleeData';
    import { ICalleeDataExtractor } from '../../interfaces/stack-trace-analyzer/ICalleeDataExtractor';

    @injectable()
    export abstract class AbstractCalleeDataExtractor implements ICalleeDataExtractor {
        /**
         * @param blockScopeBody
         * @param callee
         * @returns {ICalleeData|null}
         */
        public abstract extract (blockScopeBody: ESTree.Node[], callee: ESTree.Node): ICalleeData|null;
    }